Subject: Re: Setting magic-space in /etc/zshrc
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 25 May 2016 03:42:33 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 25, 2016 10:12 PM, "Sebastian Gniazdowski" <[email-masked]>
wrote:
>
> When shell startups, it shows: " " magic-space. When I issue "bindkey
> ' '", it shows self-insert.

I'm not able to reproduce this on OSX with 5.0.2 or a recent build of
5.2-dev-1 (the only OS/versions I have accessable at the moment).  If
happening, this may have something to do with the emacs / vicmd keymaps
selected automatically by examining the VISUAL / EDITOR environment
settings, such that you are seeing/binding one keymap in /etc/zshrc and
another later.